package com.aucma.report.domain.vo;

import java.io.Serializable;

/**
 * Board5 设备保养执行情况VO
 * 计划保养、已保养、待保养、保养中、待验证、完成率
 *
 * @author YinQ
 */
public class Board5MaintStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 计划保养数量 */
    private Long planCount;

    /** 已保养数量（MAINT_STATUS=3） */
    private Long completeCount;

    /** 待保养数量（MAINT_STATUS=1） */
    private Long waitingCount;

    /** 待保养比例 */
    private String waitingRate;

    /** 保养中数量（MAINT_STATUS=2） */
    private Long doingCount;

    /** 保养中比例 */
    private String doingRate;

    /** 待验证数量（MAINT_STATUS=4） */
    private Long verifyCount;

    /** 待验证比例 */
    private String verifyRate;

    /** 设备保养完成率 */
    private String completeRate;

    public Long getPlanCount() {
        return planCount;
    }

    public void setPlanCount(Long planCount) {
        this.planCount = planCount;
    }

    public Long getCompleteCount() {
        return completeCount;
    }

    public void setCompleteCount(Long completeCount) {
        this.completeCount = completeCount;
    }

    public Long getWaitingCount() {
        return waitingCount;
    }

    public void setWaitingCount(Long waitingCount) {
        this.waitingCount = waitingCount;
    }

    public String getWaitingRate() {
        return waitingRate;
    }

    public void setWaitingRate(String waitingRate) {
        this.waitingRate = waitingRate;
    }

    public Long getDoingCount() {
        return doingCount;
    }

    public void setDoingCount(Long doingCount) {
        this.doingCount = doingCount;
    }

    public String getDoingRate() {
        return doingRate;
    }

    public void setDoingRate(String doingRate) {
        this.doingRate = doingRate;
    }

    public Long getVerifyCount() {
        return verifyCount;
    }

    public void setVerifyCount(Long verifyCount) {
        this.verifyCount = verifyCount;
    }

    public String getVerifyRate() {
        return verifyRate;
    }

    public void setVerifyRate(String verifyRate) {
        this.verifyRate = verifyRate;
    }

    public String getCompleteRate() {
        return completeRate;
    }

    public void setCompleteRate(String completeRate) {
        this.completeRate = completeRate;
    }
}
